Bug 804144 - Awkward stretching of Product column in My Installed Software Tab
Awkward stretching of Product column in My Installed Software Tab
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.4
Unspecified Linux
unspecified Severity low
: rc
: ---
Assigned To: John Sefler
Entitlement Bugs
:
Depends On:
Blocks: 771481 843095
  Show dependency treegraph
 
Reported: 2012-03-16 12:02 EDT by Matt Reid
Modified: 2013-01-09 12:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 843095 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:45:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
How it looks after increasing the window size to ~1000px (23.67 KB, image/png)
2012-03-16 12:02 EDT, Matt Reid
no flags Details
This is more what I would expect (23.14 KB, image/png)
2012-03-16 12:03 EDT, Matt Reid
no flags Details
How it looks at default size ~640px (52.59 KB, image/png)
2012-03-16 12:04 EDT, Matt Reid
no flags Details
The product name and its status icon are now left-side-attached (61.76 KB, image/png)
2012-11-16 20:46 EST, John Sefler
no flags Details

  None (edit)
Description Matt Reid 2012-03-16 12:02:56 EDT
Created attachment 570645 [details]
How it looks after increasing the window size to ~1000px

Description of problem:
When the width of the subscription-manager-gui window is increased from the default of ~640, the status icon and product name start spacing themselves strangely.

Version-Release number of selected component (if applicable):
subscription-manager-0.99.10-1.el6.x86_64 on RHEL 6.2

How reproducible:
Always

Steps to Reproduce:
1. Open the subscription-manager UI
2. Increase the size of the window
3. Look at the Product column, the status icon is no longer left aligned, and it has become separated from the product name
  
Actual results:
See attached image "1000px wide"

Expected results:
See mockup "expected"

Additional info:
I think we should try and hold both the status icon and the product name in place and keep them left-aligned.
Comment 1 Matt Reid 2012-03-16 12:03:34 EDT
Created attachment 570646 [details]
This is more what I would expect
Comment 2 Matt Reid 2012-03-16 12:04:02 EDT
Created attachment 570648 [details]
How it looks at default size ~640px
Comment 6 RHEL Product and Program Management 2012-07-10 04:47:57 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2012-07-10 21:48:36 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 8 Alex Wood 2012-07-23 13:10:47 EDT
commit 7c947a1a06673064db046bf5fc631bf1ed371dd9
Refs: <origin/awood/804144>, awood/804144, subscription-manager-1.0.10-1-3-g7c9~
Author:     Alex Wood <awood@redhat.com>
AuthorDate: Fri Jul 19 15:54:08 2013 -0400
Commit:     Alex Wood <awood@redhat.com>
CommitDate: Thu Jul 19 15:59:00 2012 -0400

Available in subscription-manager-1.0.11+
Comment 11 John Sefler 2012-11-16 20:46:11 EST
Created attachment 646663 [details]
The product name and its status icon are now left-side-attached

Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager-gui
subscription-manager-gui-1.1.9-1.el6.x86_64

moving to VERIFIED
Comment 12 Bryan Kearney 2013-01-09 12:45:19 EST
Batch change of verified bugs which must have missed making the errata.

Note You need to log in before you can comment on or make changes to this bug.